<html>
<head>
<title>Ogre::Controller&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Controller.html">Controller</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Controller&lt; T &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Controller" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Instances of this class 'control' the value of another object in the system.  
 <a href="classOgre_1_1Controller.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreController_8h_source.html">OgreController.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Controller&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Controller__inherit__graph.gif" border="0" usemap="#Ogre_1_1Controller_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Controller_3_01T_01_4_inherit__map" id="Ogre_1_1Controller_3_01T_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="25,5,132,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Controller-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a3fb917fd69fdc9d6799913970039652b">Controller</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;src, const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;dest, const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Usual constructor.  <a href="#a3fb917fd69fdc9d6799913970039652b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#ab0ba3276e026fdd9d6779e043a250617">~Controller</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default d-tor.  <a href="#ab0ba3276e026fdd9d6779e043a250617"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a5432e56160bfd643bdcc0348ad191e11">setSource</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;src)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the input controller value.  <a href="#a5432e56160bfd643bdcc0348ad191e11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a80a9f6dd19259820c055212a70127dc1">getSource</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the input controller value.  <a href="#a80a9f6dd19259820c055212a70127dc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#af3f635f593cbe7d7973e5ab402846c5c">setDestination</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the output controller value.  <a href="#af3f635f593cbe7d7973e5ab402846c5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#aee33f3e655a58d3575bc379888794c03">getDestination</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the output controller value.  <a href="#aee33f3e655a58d3575bc379888794c03"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a40ebb32894b254f53080adc1819be175">getEnabled</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this controller is currently enabled.  <a href="#a40ebb32894b254f53080adc1819be175"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a780a6566e4af4b23e760863f3de02028">setEnabled</a> (bool enabled)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether this controller is enabled.  <a href="#a780a6566e4af4b23e760863f3de02028"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#af5d922ba593d4132e75ea6fad2848677">setFunction</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the function object to be used by this controller.  <a href="#af5d922ba593d4132e75ea6fad2848677"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a50faa7325e4807f91f7618e0579c9245">getFunction</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the function object used by this controller.  <a href="#a50faa7325e4807f91f7618e0579c9245"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a4b16ce7b5a436c3f895bea7960bdcb07">update</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells this controller to map it's input controller value to it's output controller value, via the controller function.  <a href="#a4b16ce7b5a436c3f895bea7960bdcb07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a4d1095860c2e682f9e24527a3e0c3c4f">mSource</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Source value.  <a href="#a4d1095860c2e682f9e24527a3e0c3c4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#afe2a7e92f3f8ef890a236b6e3d3f6cfd">mDest</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destination value.  <a href="#afe2a7e92f3f8ef890a236b6e3d3f6cfd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a><br class="typebreak"/>
&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a0e43abdb63f94385ffddd6f24ae4bd73">mFunc</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function.  <a href="#a0e43abdb63f94385ffddd6f24ae4bd73"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#a9ec4cc3869f9637c506a7c05f5bf3edd">mEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> is enabled or not.  <a href="#a9ec4cc3869f9637c506a7c05f5bf3edd"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
class Ogre::Controller&lt; T &gt;</h3>

<p>Instances of this class 'control' the value of another object in the system. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> classes are used to manage the values of object automatically based on the value of some input. For example, a <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> could animate a texture by controlling the current frame of the texture based on time, or a different <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> could change the colour of a material used for a spaceship shield mesh based on the remaining shield power level of the ship. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> is an intentionally abstract concept - it can generate values based on input and a function, which can either be one of the standard ones supplied, or a function can be 'plugged in' for custom behaviour - see the <a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value for a Controller...">ControllerFunction</a> class for details. Both the input and output values are via <a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> objects, meaning that any value can be both input and output of the controller. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Whilst this is very flexible, it can be a little bit confusing so to make it simpler the most often used controller setups are available by calling methods on the <a class="el" href="classOgre_1_1ControllerManager.html" title="Class for managing Controller instances.">ControllerManager</a> object. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value for a Controller...">ControllerFunction</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00135">135</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3fb917fd69fdc9d6799913970039652b"></a><!-- doxytag: member="Ogre::Controller::Controller" ref="a3fb917fd69fdc9d6799913970039652b" args="(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;src, const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;dest, const SharedPtr&lt; ControllerFunction&lt; T &gt; &gt; &amp;func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html">Controller</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Usual constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Requires source and destination values, and a function object. None of these are destroyed with the <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> when it is deleted (they can be shared) so you must delete these as appropriate. </dd></dl>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00155">155</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0ba3276e026fdd9d6779e043a250617"></a><!-- doxytag: member="Ogre::Controller::~Controller" ref="ab0ba3276e026fdd9d6779e043a250617" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::~<a class="el" href="classOgre_1_1Controller.html">Controller</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default d-tor. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00164">164</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aee33f3e655a58d3575bc379888794c03"></a><!-- doxytag: member="Ogre::Controller::getDestination" ref="aee33f3e655a58d3575bc379888794c03" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt;&amp; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#aee33f3e655a58d3575bc379888794c03">getDestination</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the output controller value. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00184">184</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a40ebb32894b254f53080adc1819be175"></a><!-- doxytag: member="Ogre::Controller::getEnabled" ref="a40ebb32894b254f53080adc1819be175" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a40ebb32894b254f53080adc1819be175">getEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if this controller is currently enabled. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00190">190</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a50faa7325e4807f91f7618e0579c9245"></a><!-- doxytag: member="Ogre::Controller::getFunction" ref="a50faa7325e4807f91f7618e0579c9245" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt;T&gt; &gt;&amp; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a50faa7325e4807f91f7618e0579c9245">getFunction</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a pointer to the function object used by this controller. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00210">210</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a80a9f6dd19259820c055212a70127dc1"></a><!-- doxytag: member="Ogre::Controller::getSource" ref="a80a9f6dd19259820c055212a70127dc1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt;&amp; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a80a9f6dd19259820c055212a70127dc1">getSource</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the input controller value. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00173">173</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Controller::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Controller::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Controller::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Controller::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Controller::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Controller::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Controller::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Controller::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Controller::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Controller::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3f635f593cbe7d7973e5ab402846c5c"></a><!-- doxytag: member="Ogre::Controller::setDestination" ref="af3f635f593cbe7d7973e5ab402846c5c" args="(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;dest)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#af3f635f593cbe7d7973e5ab402846c5c">setDestination</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&#160;</td>
          <td class="paramname"><em>dest</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the output controller value. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00178">178</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a780a6566e4af4b23e760863f3de02028"></a><!-- doxytag: member="Ogre::Controller::setEnabled" ref="a780a6566e4af4b23e760863f3de02028" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a780a6566e4af4b23e760863f3de02028">setEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether this controller is enabled. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00196">196</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="af5d922ba593d4132e75ea6fad2848677"></a><!-- doxytag: member="Ogre::Controller::setFunction" ref="af5d922ba593d4132e75ea6fad2848677" args="(const SharedPtr&lt; ControllerFunction&lt; T &gt; &gt; &amp;func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#af5d922ba593d4132e75ea6fad2848677">setFunction</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;&#160;</td>
          <td class="paramname"><em>func</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the function object to be used by this controller. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00203">203</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5432e56160bfd643bdcc0348ad191e11"></a><!-- doxytag: member="Ogre::Controller::setSource" ref="a5432e56160bfd643bdcc0348ad191e11" args="(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;src)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a5432e56160bfd643bdcc0348ad191e11">setSource</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the input controller value. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00168">168</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b16ce7b5a436c3f895bea7960bdcb07"></a><!-- doxytag: member="Ogre::Controller::update" ref="a4b16ce7b5a436c3f895bea7960bdcb07" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a4b16ce7b5a436c3f895bea7960bdcb07">update</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells this controller to map it's input controller value to it's output controller value, via the controller function. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method is called automatically every frame by <a class="el" href="classOgre_1_1ControllerManager.html" title="Class for managing Controller instances.">ControllerManager</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00220">220</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="afe2a7e92f3f8ef890a236b6e3d3f6cfd"></a><!-- doxytag: member="Ogre::Controller::mDest" ref="afe2a7e92f3f8ef890a236b6e3d3f6cfd" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#afe2a7e92f3f8ef890a236b6e3d3f6cfd">mDest</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destination value. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00141">141</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h_source.html#l00184">Ogre::Controller&lt; Real &gt;::getDestination()</a>, <a class="el" href="OgreController_8h_source.html#l00178">Ogre::Controller&lt; Real &gt;::setDestination()</a>, and <a class="el" href="OgreController_8h_source.html#l00220">Ogre::Controller&lt; Real &gt;::update()</a>.</p>

</div>
</div>
<a class="anchor" id="a9ec4cc3869f9637c506a7c05f5bf3edd"></a><!-- doxytag: member="Ogre::Controller::mEnabled" ref="a9ec4cc3869f9637c506a7c05f5bf3edd" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a9ec4cc3869f9637c506a7c05f5bf3edd">mEnabled</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> is enabled or not. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00145">145</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h_source.html#l00155">Ogre::Controller&lt; Real &gt;::Controller()</a>, <a class="el" href="OgreController_8h_source.html#l00190">Ogre::Controller&lt; Real &gt;::getEnabled()</a>, <a class="el" href="OgreController_8h_source.html#l00196">Ogre::Controller&lt; Real &gt;::setEnabled()</a>, and <a class="el" href="OgreController_8h_source.html#l00220">Ogre::Controller&lt; Real &gt;::update()</a>.</p>

</div>
</div>
<a class="anchor" id="a0e43abdb63f94385ffddd6f24ae4bd73"></a><!-- doxytag: member="Ogre::Controller::mFunc" ref="a0e43abdb63f94385ffddd6f24ae4bd73" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt;T&gt; &gt; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a0e43abdb63f94385ffddd6f24ae4bd73">mFunc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00143">143</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h_source.html#l00210">Ogre::Controller&lt; Real &gt;::getFunction()</a>, <a class="el" href="OgreController_8h_source.html#l00203">Ogre::Controller&lt; Real &gt;::setFunction()</a>, and <a class="el" href="OgreController_8h_source.html#l00220">Ogre::Controller&lt; Real &gt;::update()</a>.</p>

</div>
</div>
<a class="anchor" id="a4d1095860c2e682f9e24527a3e0c3c4f"></a><!-- doxytag: member="Ogre::Controller::mSource" ref="a4d1095860c2e682f9e24527a3e0c3c4f" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#a4d1095860c2e682f9e24527a3e0c3c4f">mSource</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Source value. </p>

<p>Definition at line <a class="el" href="OgreController_8h_source.html#l00139">139</a> of file <a class="el" href="OgreController_8h_source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h_source.html#l00173">Ogre::Controller&lt; Real &gt;::getSource()</a>, <a class="el" href="OgreController_8h_source.html#l00168">Ogre::Controller&lt; Real &gt;::setSource()</a>, and <a class="el" href="OgreController_8h_source.html#l00220">Ogre::Controller&lt; Real &gt;::update()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreController_8h_source.html">OgreController.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
